package com.supervision.web.peopleGateManage.mapper;

import com.supervision.web.peopleGateManage.enity.Device;
import org.mybatis.spring.annotation.MapperScan;

import java.util.List;

@MapperScan("com.supervision.web.peopleGateManage.mapper.xml.DeviceMapper")
public interface DeviceMapper {
    List<Device> selectAll();

    Device selectById(Long id);

    int insert(Device device);

    int update(Device device);

    int delete(Long id);
}

